%define anolis_release 1
Name: libtracefs
Version: 1.8.0
Release: %{anolis_release}%{?dist}
License: LGPL-2.1-or-later AND GPL-2.0-or-later AND GPL-2.0-only
Summary: Library for access kernel tracefs

URL: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/
Source0: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/snapshot/libtracefs-%{version}.tar.gz
Patch0: libtracefs-Call-va_end-before-exiting-tracefs_hist_s.patch
Patch1: libtracefs-Prevent-memory-leak-in-append_filer.patch
Patch2: libtracefs-Prevent-a-memory-leak-in-update_fields.patch
Patch3: libtracefs-Prevent-a-memory-leak-in-tracefs_synth_ad.patch
Patch4: libtracefs-Prevent-memory-leak-in-tracefs_event_syst.patch
Patch5: libtracefs-Don-t-leak-socket-file-descriptor-in-open.patch
Patch6: libtracefs-Prevent-a-memory-leak-in-add_func_str.patch
Patch7: libtracefs-Prevent-a-memory-leak-in-tracefs_system_e.patch
Patch8: libtracefs-Prevent-a-memory-leak-in-open_cpu_files.patch
Patch9: libtracefs-Prevent-memory-leak-in-tracefs_instance_c.patch
Patch10: libtracefs-my_yyinput-should-return-0-when-no-data-c.patch
Patch11: libtracefs-Prevent-memory-leak-in-tracefs_dynevent_g.patch
Patch12: libtracefs-Close-dir-in-the-error-path-in-tracefs_sy.patch
Patch13: libtracefs-Close-dir-in-the-error-path-in-tracefs_ev.patch
Patch14: libtracefs-Initialize-val-in-build_filter.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libtraceevent) >= 1.8.0
# The libtracefs is meant to be used by perf, trace-cmd etc. in the future, before it's ready in perf, let's add a conflict
Conflicts: trace-cmd < 2.9.1-6

%description
libtracefs is a library for accessing kernel tracefs

%package devel
Summary: Development headers of %{name}
Requires: %{name}%{_isa} = %{version}-%{release}

%description devel
Development headers of %{name}

%prep
%autosetup -p1

%build
%set_build_flags
# parallel compiling don't always work
make -O -j1 V=1 VERBOSE=1 prefix=%{_prefix} libdir=%{_libdir} all

%install
%make_install prefix=%{_prefix} libdir=%{_libdir}
rm -rf %{buildroot}/%{_libdir}/libtracefs.a

%files
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.8.0

%files devel
%{_includedir}/tracefs/tracefs.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%changelog
* Tue Mar 25 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.8.0-1
- Import package for anolis 23
